sysutils/sysupgrade - The NetBSD Packages Collection

Automate upgrades of NetBSD

sysupgrade is a script to automate NetBSD system upgrades.  sysupgrade
works by first fetching distribution sets from a specified site or local
directory, then by upgrading the system using such distribution sets and
later by ensuring that the system configuration is up to date.  All the
process is controlled by a configuration file, and the defaults should
suit the most common NetBSD upgrades.

sysupgrade can be used to perform upgrades across different system major
and/or minor versions, and it can also be used to track a stable or
development branch from the CVS repository.

sysbuild is the perfect companion to sysupgrade in those cases where you
want to roll your own binaries: both utilities share a very similar
command-line and configuration interface, and the default configuration
files provide examples on how to integrate one with the other.

Build dependencies

pkgtools/cwrappers devel/pkgconf

Runtime dependencies

devel/shtk devel/shtk

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfsysupgrade-1.5nb7.tgz
NetBSD 8.0earmv7hfsysupgrade-1.5nb4.tgz
NetBSD 8.0earmv7hfsysupgrade-1.5nb8.tgz
NetBSD 8.0earmv7hfsysupgrade-1.5nb8.tgz
NetBSD 8.0i386sysupgrade-1.5nb4.tgz
NetBSD 8.0i386sysupgrade-1.5nb7.tgz
NetBSD 8.0i386sysupgrade-1.5nb8.tgz
NetBSD 8.0i386sysupgrade-1.5nb8.tgz
NetBSD 8.0powerpcsysupgrade-1.5nb4.tgz
NetBSD 8.0powerpcsysupgrade-1.5nb7.tgz
NetBSD 8.0powerpcsysupgrade-1.5nb8.tgz
NetBSD 8.0powerpcsysupgrade-1.5nb8.tgz
NetBSD 8.0powerpcsysupgrade-1.5nb8.tgz
NetBSD 8.0x86_64sysupgrade-1.5nb8.tgz
NetBSD 8.0x86_64sysupgrade-1.5nb4.tgz
NetBSD 8.0x86_64sysupgrade-1.5nb7.tgz
NetBSD 8.0x86_64sysupgrade-1.5nb8.tgz
NetBSD 9.0aarch64sysupgrade-1.5nb8.tgz
NetBSD 9.0aarch64sysupgrade-1.5nb4.tgz
NetBSD 9.0aarch64sysupgrade-1.5nb7.tgz
NetBSD 9.0aarch64sysupgrade-1.5nb8.tgz
NetBSD 9.0alphasysupgrade-1.5nb8.tgz
NetBSD 9.0alphasysupgrade-1.5nb8.tgz
NetBSD 9.0earmv6hfsysupgrade-1.5nb8.tgz
NetBSD 9.0earmv6hfsysupgrade-1.5nb4.tgz
NetBSD 9.0earmv6hfsysupgrade-1.5nb7.tgz
NetBSD 9.0earmv6hfsysupgrade-1.5nb7.tgz
NetBSD 9.0earmv6hfsysupgrade-1.5nb8.tgz
NetBSD 9.0earmv7hfsysupgrade-1.5nb8.tgz
NetBSD 9.0earmv7hfsysupgrade-1.5nb4.tgz
NetBSD 9.0earmv7hfsysupgrade-1.5nb7.tgz
NetBSD 9.0earmv7hfsysupgrade-1.5nb7.tgz
NetBSD 9.0earmv7hfsysupgrade-1.5nb8.tgz
NetBSD 9.0earmv7hfsysupgrade-1.5nb8.tgz
NetBSD 9.0earmv7hfsysupgrade-1.5nb8.tgz
NetBSD 9.0i386sysupgrade-1.5nb4.tgz
NetBSD 9.0i386sysupgrade-1.5nb7.tgz
NetBSD 9.0i386sysupgrade-1.5nb8.tgz
NetBSD 9.0i386sysupgrade-1.5nb8.tgz
NetBSD 9.0mips64ebsysupgrade-1.5nb8.tgz
NetBSD 9.0mips64ebsysupgrade-1.5nb4.tgz
NetBSD 9.0mips64ebsysupgrade-1.5nb7.tgz
NetBSD 9.0mips64ebsysupgrade-1.5nb8.tgz
NetBSD 9.0powerpcsysupgrade-1.5nb8.tgz
NetBSD 9.0powerpcsysupgrade-1.5nb4.tgz
NetBSD 9.0powerpcsysupgrade-1.5nb7.tgz
NetBSD 9.0powerpcsysupgrade-1.5nb8.tgz
NetBSD 9.0powerpcsysupgrade-1.5nb8.tgz
NetBSD 9.0sparc64sysupgrade-1.5nb8.tgz
NetBSD 9.0sparc64sysupgrade-1.5nb8.tgz
NetBSD 9.0sparcsysupgrade-1.5nb8.tgz
NetBSD 9.0sparcsysupgrade-1.5nb8.tgz
NetBSD 9.0vaxsysupgrade-1.5nb8.tgz
NetBSD 9.0vaxsysupgrade-1.5nb8.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb7.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb8.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb8.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb8.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb4.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb7.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb8.tgz
NetBSD 9.0x86_64sysupgrade-1.5nb8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

tests
Build and install tests.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.